View Issue Details

IDProjectCategoryView StatusLast Update
0005272SOGoWeb Mailpublic2021-03-08 13:59
ReporterRiot_City Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
OSUbuntuOS Version20.04 
Product Version5.0.1 
Fixed in Versionnightly master 
Summary0005272: Mail editor: icons in toolbar are missing
Description

Hi,

after today's update (sogo_5.0.1.20210303-1_amd64.deb) the icons in the mail editor toolbar are missing. Tested in Firefox & Edge.

TagsNo tags attached.

Relationships

has duplicate 0005273 resolvedfrancis Missing icons in the gui at 5.0.1 (5.0.1.20210305-1) 

Activities

Riot_City

Riot_City

2021-03-03 07:52

reporter  

sogo-tootlbar-icons.png (46,479 bytes)   
sogo-tootlbar-icons.png (46,479 bytes)   
francis

francis

2021-03-03 08:46

administrator   ~0015121

Probably caching. Try to restart Apache.

Riot_City

Riot_City

2021-03-03 10:44

reporter   ~0015122

Hi, I've already rebooted the whole server. Firefox web console says, that it could not load https://mydomain/SOGo.woa/WebServerResources/js/vendor/ckeditor/plugins/icons_hidpi.png?t=L0QD because the image contains erros.
I've downloaded the file with wget and attached it here.

icons_hidpi.png (21,955 bytes)   
icons_hidpi.png (21,955 bytes)   
Riot_City

Riot_City

2021-03-03 11:00

reporter   ~0015123

Also checked md5sum of the downloaded file against the one on the server, both match:

root@mail /usr# md5sum /usr/lib/GNUstep/SOGo/WebServerResources/js/vendor/ckeditor/plugins/icons_hidpi.png
5d88a046b509fbc18a7c0fad5f731c2c  /usr/lib/GNUstep/SOGo/WebServerResources/js/vendor/ckeditor/plugins/icons_hidpi.png
root@mail /usr# ll /usr/lib/GNUstep/SOGo/WebServerResources/js/vendor/ckeditor/plugins/icons_hidpi.png
-rw-r--r-- 1 root root 22K Mar  3 12:34 /usr/lib/GNUstep/SOGo/WebServerResources/js/vendor/ckeditor/plugins/icons_hidpi.png
Riot_City

Riot_City

2021-03-03 11:04

reporter   ~0015124

Also checked the file in the deb package now and it has the same md5sum: 5d88a046b509fbc18a7c0fad5f731c2c

Ovlovman

Ovlovman

2021-03-05 08:21

reporter   ~0015125

I have the same issue, installed SoGo yesterday, everything working except for the ribbon in emails, just blank.

Related Changesets

sogo: master f6f43c42

2021-03-08 13:57:51

francis

Details Diff
chore(npm): update CKEditor to version 4.16.0

Fixes 0005272
Fixes 0005273
Affected Issues
0005272, 0005273
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/about/dialogs/hidpi/logo_ckeditor.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/about/dialogs/logo_ckeditor.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/icons.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/icons_hidpi.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/image/images/noimage.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/link/images/anchor.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/link/images/hidpi/anchor.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/widget/images/handle.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/icons.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/icons_hidpi.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/arrow.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/close.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/hidpi/close.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/hidpi/lock-open.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/hidpi/lock.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/hidpi/refresh.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/lock-open.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/lock.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/n1theme/images/refresh.png Diff File

Issue History

Date Modified Username Field Change
2021-03-03 07:52 Riot_City New Issue
2021-03-03 07:52 Riot_City File Added: sogo-tootlbar-icons.png
2021-03-03 08:46 francis Note Added: 0015121
2021-03-03 10:44 Riot_City Note Added: 0015122
2021-03-03 10:44 Riot_City File Added: icons_hidpi.png
2021-03-03 11:00 Riot_City Note Added: 0015123
2021-03-03 11:04 Riot_City Note Added: 0015124
2021-03-05 08:21 Ovlovman Note Added: 0015125
2021-03-08 08:08 francis Relationship added has duplicate 0005273
2021-03-08 13:58 francis Changeset attached => sogo master f6f43c42
2021-03-08 13:58 francis Assigned To => francis
2021-03-08 13:58 francis Resolution open => fixed
2021-03-08 13:59 francis Status new => resolved
2021-03-08 13:59 francis Fixed in Version => nightly master